Employment Verification
Introduction
This API is used to get the current employment status of the customer.
How to call the API
To use this API, you must get the required Authorization token from the contact person of Signzy.
API Input Guidelines
Need to pass following information
- Mobile Number
- PAN number
Sample Curl
curl --location --request POST 'https://api-preproduction.signzy.app/api/v3/employment-verification/current-employer' \
--header 'Authorization: <<your token>>' \
--header 'Content-Type: application/json' \
--data-raw '{
"mobile": "<<10 digit mobile number>>",
"panNumber": ""
}'
Input Parameters
PARAMETER NAME | REQUIRED/OPTIONAL | DESCRIPTION |
|---|---|---|
Authorization | Required | Authorization token |
Content-Type | Required | application/json |
mobile | Required | 10 digit mobile number |
panNumber | Optional | Pan number |
Sample Response
{
"resultCode": 200,
"employmentSummary": {
"recent_employer_data": {
"member_id": "PUPUN17530220000010270",
"establishment_id": "PUPUN1753022000",
"date_of_exit": "",
"date_of_joining": "2021-09-10",
"establishment_name": "Signzy Technologies Private Limited",
"employer_confidence_score": null,
"matching_uan": "101470963923"
},
"is_employed": true,
"employee_name_match": null,
"employer_name_match": null,
"uan_count": 1,
"date_of_exit_marked": false
},
"uanDetails": {
"101470963923": {
"basic_details": {
"gender": "MALE",
"date_of_birth": "1997-10-03",
"employee_confidence_score": null,
"name": "Aditya Upadhyay",
"mobile": "8804149449",
"aadhaar_verification_status": 1
},
"employment_details": {
"member_id": "PUPUN17530220000010270",
"establishment_id": "PUPUN1753022000",
"date_of_exit": "",
"date_of_joining": "2021-09-10",
"leave_reason": "",
"establishment_name": "Signzy Technologies Private Limited",
"employer_confidence_score": null
}
}
},
"uanNumbers": [
"101470963923"
],
"uanDataSource": [
{
"uan": "101470963923",
"source": "mobile"
}
]
}
Response Parameter
PARAMETER NAME | DESCRIPTION |
|---|---|
resultCode | This shows the status code of the response received. |
result.employmentSummary | This gives the employment summary of the employee. |
employmentSummary.recent_employer_data | This provides the recent employer data of the employee. |
recent_employer_data.member_id | This shows the member ID of the employee. |
recent_employer_data.establishment_id | The establishment ID of the company/organisation is shown here. |
recent_employer_data.date_of_exit | This shows the date on which the employee left the establishment. |
recent_employer_data.date_of_joining | This gives the date on which the employee joined the establishment. |
recent_employer_data.establishment_name | This shows the name of the establishment/company. |
recent_employer_data.employers_confidence score | The employer's confidence score is given here. |
recent_employer_data.matching_uan | The UAN number of the employee is shown here. |
employmentSummary.is_employed | If the employee is currently working i the establishment, it shows true, otherwise it is false. |
employmentSummary.employee_name_match | Name match of the employee. |
employmentSummary.employer_name_match | Name match of the employer. |
employmentSummary.uan_count | This shows the number of UANs attched with the employee. |
employmentSummary.date_of_exit_marked | if the employee's date of exit is marked, it shows true, otherwise, it is false. |
result.uanDetails | This shows the UAN details of the employee. |
basic_details.gender | Shows the gender of the employee. |
basic_details.date_of_birth | Date of birth of the employee. |
basic_details.employee_confidence_score | The employee confidence score is shown here. |
basic_details.name | Name of the employee |
basic_details.mobile | Mobile number of the employee. |
basic_details.aadhaar_verification_status | This shows the aadhaar verification status. |
employment_details.member_id | Employee's member ID is shown here. |
employment_details.establishment_id | Establishment's Id is shown here. |
employment_details.date_of_exit | Date of exit of the employee. |
employment_details.date_of_joining | Date of joining of the employee. |
employment_details.leave_reason | This shows the reason why the employee left the organisation. |
employment_details.establishment_name | This shows the name of the establishment. |
employment_details.employer_confidence_score | The employer's confidence score is given here. |
result.uanNumbers | UAN number of the employee. |
result.uanDataSource | UAN data source of the employee is shown, which includes the uan number as well as the source. |
Status Code and Message
MESSAGE | SIGNZY STATUS CODE | INTERPRETATION |
|---|---|---|
Loan Application Created Successfully | 200 | Successful txn |
Invalid authentication credentials | 401 | Kindly check authorization |
Invalid input parameter | 400 | Kindly check the params in request body |
Internal server error | 500 | Internal error at Signzy, contact Signzy support |
Error from Upstream | 409 | Upstream Error |
Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].